# Class SecurityRoleRef

java.lang.Object
org.apache.tomcat.util.descriptor.web.SecurityRoleRef

All Implemented Interfaces:
  `Serializable`

public class SecurityRoleRef extends Object implements Serializable

Representation of a security role reference for a web application, as represented in a `<security-role-ref>` element in the deployment descriptor.

Since:
  Tomcat 5.5
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`SecurityRoleRef()`
Default constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`String`
`getLink()`
Get the role link.
`String`
`getName()`
Get the role name.
`int`
`hashCode()`
`void`
`setLink(String link)`
Set the role link.
`void`
`setName(String name)`
Set the role name.
`String`
`toString()`
Return a String representation of this object.

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SecurityRoleRef

public SecurityRoleRef()
Default constructor.

## Method Details

### getName

public String getName()
Get the role name.

Returns:
  the role name

### setName

public void setName(String name)
Set the role name.

Parameters:
  `name` - The role name

### getLink

public String getLink()
Get the role link.

Returns:
  the role link

### setLink

public void setLink(String link)
Set the role link.

Parameters:
  `link` - The role link

### toString

public String toString()
Return a String representation of this object.

Overrides:
  `toString` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`